Skip to main content
GET
Get a shipping label

Authorizations

Authorization
string
header
required

Token returned by POST /auth/token, sent as Authorization: Bearer <token>.

Path Parameters

shipping_label_id
integer
required

Id of the shipping label, as returned in the order's shipping_labels

Example:

98765

Response

The shipping label

A carrier label (guide) generated for an order, as returned by GET /orders/{order_id}/shipping-labels.

id
integer

Shipping label ID.

Example:

4401

order_id
integer

Order ID.

Example:

987654

shipping_number
string | null

Carrier tracking number.

Example:

"TRK000000001"

label_type
enum<string>

Purpose of the label. Return Prepaid labels are never returned by this endpoint.

Available options:
Shipping,
Cash On Delivery,
Return,
Return By Carrier,
Pickup
Example:

"Shipping"

tracking_url
string | null

Carrier tracking page.

Example:

"https://carrier.example.com/track/TRK000000001"

cubbo_tracking_url
string

Cubbo tracking page for the order.

Example:

"https://tracking.example.com/orders/abc123"

label_file
object

The label PDF, or an empty object when no file is attached.

billing_file
object | null

Billing document attached to the label, or null.